package controler;

import view.JFrameScaleImageSample1;

/**
 * <pre>
 * On ne peut avoir qu'un seul controleur en MVC 2.
 * 
 * Il existe 3 principales manire pour faire un zoom sur une image en Java :
 * 1. Crer une nouvelle image "zoome"  partir de l'ancienne :
 * 	  <code>
 *    int width = (int) (sourceImageWidth * zoom);
 *    int height = (int) (sourceImageHeight * zoom);
 *    Mon_image_zoome = image_initial.getScaledInstance(width, height, Image.SCALE_SMOOTH);
 *    </code>
 *    Qualit : <b>optimale</b>
 *    Vitesse : lente
 *    Utilisation mmoire : exponentielle
 *    Librairie supplmentaire : <b>non</b>
 *    
 * 2. Appliquer une transformation sur l'image courante :
 * 	  <code>
 *    Graphics2D g2 = (Graphics2D) g;
 *    super.paintComponent(g2);
 *    AffineTransform transformationZoom = AffineTransform.getScaleInstance(zoom, zoom);
 *    g2.drawImage(image, transformationZoom, this);
 *    </code>
 *    Qualit : moyenne
 *    Vitesse : <b>optimale</b>
 *    Utilisation mmoire : <b>normale</b>
 *    Librairie supplmentaire : <b>non</b>
 *    
 * 3. Utiliser l'API JAI (java advanced image) :
 *    Qualit : <b>optimale</b>
 *    Vitesse : <b>optimale</b>
 *    Utilisation mmoire : <b>normale</b>
 *    Librairie supplmentaire : oui
 * 
 * Pour viter l'utilisation d'une librairie supplmentaire et une utilisation 
 * exponentielle de la mmoire, il sera prsent dans ce projet la mthode n2 :
 * "Appliquer une transformation sur l'image courante".
 * </pre>
 * 
 * @author Mickal Martin Nevot
 * 
 * @version 1.2.0
 * 
 * @see "ihm-vidos-samples (pour le zoom de vidos)"
 */
public class BasicMainControler {
	
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		// Dcommenter une seule des lignes suivantes  la fois pour tester les diffrentes applications exemples
		
		new JFrameScaleImageSample1().setVisible(true);
	}
}